Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.skype.api
Enum Transfer.FailureReason

    java.lang.Object
      java.lang.Enum<Transfer.FailureReason>
          com.skype.api.Transfer.FailureReason

All Implemented Interfaces:
  EnumConverting, java.io.Serializable, java.lang.Comparable<Transfer.FailureReason>

Enclosing class:
  Transfer

    public static enum Transfer.FailureReason

extends java.lang.Enum<Transfer.FailureReason>
implements EnumConverting

Enum Constant Summary
`FAILED_READ`
`FAILED_REMOTE_READ`
`FAILED_REMOTE_WRITE`
`FAILED_WRITE`
`PLACEHOLDER_TIMEOUT`
`REMOTE_DOES_NOT_SUPPORT_FT`
`REMOTE_OFFLINE_FOR_TOO_LONG`
`REMOTELY_CANCELLED`
`SENDER_NOT_AUTHORISED`
`TOO_MANY_PARALLEL`

Field Summary
`static int` | `FAILED_READ_VALUE`
`static int` | `FAILED_REMOTE_READ_VALUE`
`static int` | `FAILED_REMOTE_WRITE_VALUE`
`static int` | `FAILED_WRITE_VALUE`
`static int` | `PLACEHOLDER_TIMEOUT_VALUE`
`static int` | `REMOTE_DOES_NOT_SUPPORT_FT_VALUE`
`static int` | `REMOTE_OFFLINE_FOR_TOO_LONG_VALUE`
`static int` | `REMOTELY_CANCELLED_VALUE`
`static int` | `SENDER_NOT_AUTHORISED_VALUE`
`static int` | `TOO_MANY_PARALLEL_VALUE`

Method Summary
`EnumConverting` | `convert(int from)`
`static Transfer.FailureReason` | `get(int from)`
`EnumConverting[]` | `getArray(int size)`
`EnumConverting` | `getDefault()`
`int` | `getId()`
`static Transfer.FailureReason` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Transfer.FailureReason[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SENDER_NOT_AUTHORISED

    public static final Transfer.FailureReason SENDER_NOT_AUTHORISED

### REMOTELY_CANCELLED

    public static final Transfer.FailureReason REMOTELY_CANCELLED

### FAILED_READ

    public static final Transfer.FailureReason FAILED_READ

### FAILED_REMOTE_READ

    public static final Transfer.FailureReason FAILED_REMOTE_READ

### FAILED_WRITE

    public static final Transfer.FailureReason FAILED_WRITE

### FAILED_REMOTE_WRITE

    public static final Transfer.FailureReason FAILED_REMOTE_WRITE

### REMOTE_DOES_NOT_SUPPORT_FT

    public static final Transfer.FailureReason REMOTE_DOES_NOT_SUPPORT_FT

### REMOTE_OFFLINE_FOR_TOO_LONG

    public static final Transfer.FailureReason REMOTE_OFFLINE_FOR_TOO_LONG

### TOO_MANY_PARALLEL

    public static final Transfer.FailureReason TOO_MANY_PARALLEL

### PLACEHOLDER_TIMEOUT

    public static final Transfer.FailureReason PLACEHOLDER_TIMEOUT

Field Detail

### SENDER_NOT_AUTHORISED_VALUE

    public static final int SENDER_NOT_AUTHORISED_VALUE

See Also:
  Constant Field Values

### REMOTELY_CANCELLED_VALUE

    public static final int REMOTELY_CANCELLED_VALUE

See Also:
  Constant Field Values

### FAILED_READ_VALUE

    public static final int FAILED_READ_VALUE

See Also:
  Constant Field Values

### FAILED_REMOTE_READ_VALUE

    public static final int FAILED_REMOTE_READ_VALUE

See Also:
  Constant Field Values

### FAILED_WRITE_VALUE

    public static final int FAILED_WRITE_VALUE

See Also:
  Constant Field Values

### FAILED_REMOTE_WRITE_VALUE

    public static final int FAILED_REMOTE_WRITE_VALUE

See Also:
  Constant Field Values

### REMOTE_DOES_NOT_SUPPORT_FT_VALUE

    public static final int REMOTE_DOES_NOT_SUPPORT_FT_VALUE

See Also:
  Constant Field Values

### REMOTE_OFFLINE_FOR_TOO_LONG_VALUE

    public static final int REMOTE_OFFLINE_FOR_TOO_LONG_VALUE

See Also:
  Constant Field Values

### TOO_MANY_PARALLEL_VALUE

    public static final int TOO_MANY_PARALLEL_VALUE

See Also:
  Constant Field Values

### PLACEHOLDER_TIMEOUT_VALUE

    public static final int PLACEHOLDER_TIMEOUT_VALUE

See Also:
  Constant Field Values

Method Detail

### values

    public static Transfer.FailureReason[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Transfer.FailureReason c : Transfer.FailureReason.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Transfer.FailureReason valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getId

    public int getId()

  Specified by:
    `getId` in interface `EnumConverting`

### getDefault

    public EnumConverting getDefault()

  Specified by:
    `getDefault` in interface `EnumConverting`

### convert

    public EnumConverting convert(int from)

  Specified by:
    `convert` in interface `EnumConverting`

### getArray

    public EnumConverting[] getArray(int size)

  Specified by:
    `getArray` in interface `EnumConverting`

### get

    public static Transfer.FailureReason get(int from)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2010, 2011 Skype Technologies. All Rights Reserved.